LibreOffice LibreOffice 26.2 SDK API Reference

Modules | Variables
FontWidth.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::awt
| Java AWT-like user interface toolkit interface specifications for UNO.

## Constant Groups
constants | com::sun::star::awt::FontWidth
| These values are used to specify the width of the characters of a font.

## Variables
const float | DONTKNOW = 0.000000
| The width of the font is not specified/known. More...
const float | ULTRACONDENSED = 50.000000
| The width of the font is condensed to 50%. More...
const float | EXTRACONDENSED = 60.000000
| The width of the font is condensed to 60%. More...
const float | CONDENSED = 75.000000
| The width of the font is condensed to 75%. More...
const float | SEMICONDENSED = 90.000000
| The width of the font is condensed to 90%. More...
const float | NORMAL = 100.000000
| The width of the font is normal. More...
const float | SEMIEXPANDED = 110.000000
| The width of the font is expanded to 110%. More...
const float | EXPANDED = 150.000000
| The width of the font is expanded to 150%. More...
const float | EXTRAEXPANDED = 175.000000
| The width of the font is expanded to 175%. More...
const float | ULTRAEXPANDED = 200.000000
| The width of the font is expanded to 200%. More...